package alsa-utils 1.0.23-2ubuntu3.3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #664821 reported by rupert on 2010-10-21
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
alsa-utils (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: alsa-utils

Enabled Maverick-Proposed.

ProblemType: Package
DistroRelease: Ubuntu 10.10
Package: alsa-utils 1.0.23-2ubuntu3.3
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
Date: Fri Oct 22 09:22:07 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928)
SourcePackage: alsa-utils
Title: package alsa-utils 1.0.23-2ubuntu3.3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

rupert (rupert-primarycore) wrote :
Max Bowsher (maxb) wrote :

This alsa-utils update contains broken code in the postinst script which will cause it to always fail.

    if dpkg --compare-versions "$2" le "1.0.23-2ubuntu3.3"; then
        # we need to call alsactl init once to activate the cards
        # on later boots the state file handles this
        id=`cat /proc/asound/card$1/id 2>/dev/null`
        if [ "$id" = "Panda" -o "$id" = "SDP4430" ]; then
            alsactl init
        fi
    fi

Specifically, note the path /proc/asound/card$1/id - $1 is always the literal string "configure" at this point in the script. The path /proc/asound/cardconfigure/id is always incorrect, causing cat to return an error. Since the script is executing with "set -e" in force, it immediately exits with an error status at this point.

tags: added: regression-proposed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers